Bug 75668 - FORMATTING Difficult to read the cell notes because of the transparent background
Summary: FORMATTING Difficult to read the cell notes because of the transparent backgr...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.5.3 release
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: possibleRegression
: 84975 (view as bug list)
Depends on:
Blocks: Calc-Comments
  Show dependency treegraph
 
Reported: 2014-03-02 10:55 UTC by kivi
Modified: 2021-08-31 03:55 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Screen shot showing the problem (7.49 KB, image/png)
2014-03-02 10:55 UTC, kivi
Details
A small XLS example file with a table plus a comment to show the problem (7.00 KB, application/vnd.ms-excel)
2014-03-03 13:05 UTC, kivi
Details
This video shows all what I am explaining here. Please see the attached file - Comments_difficult_to_read-example_20140309.mpeg (1.45 MB, video/mpeg)
2014-03-09 12:24 UTC, kivi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description kivi 2014-03-02 10:55:09 UTC
Created attachment 94959 [details]
Screen shot showing the problem

Since Libre Office 4.1.5.3 I found the background of the notes in cells get transparent and this makes very difficult to read such notes.

Please see the attached file - a screen shot showing the problem
Comment 1 Joel Madero 2014-03-02 16:32:35 UTC
Please provide an actual document that we can open and steps on how to reproduce. 

Marking as NEEDINFO

Once you provide an actual document + steps mark the bug as UNCONFIRMED and we'll try to reproduce.
Comment 2 kivi 2014-03-03 13:02:50 UTC
(In reply to comment #1)
> Please provide an actual document that we can open and steps on how to
> reproduce. 
> 
> Marking as NEEDINFO
> 
> Once you provide an actual document + steps mark the bug as UNCONFIRMED and
> we'll try to reproduce.

Dear Joel,

Please have attached here a smal XLS example.
I used a very big file to take the picture already attached to my earlier post. Unfortunately I can not attach this file because of the data included there.
So I have created a small excerpt from this file (pasted special without the formulas).
Strange enough if I opened this file and check the note it appeared OK. But any checks after it showed difficult to read note.

So now I believe that from time to time it may be possible to show the note correctly but much more frequently it is showed as in my picture, attached to the bug report.

With best regards,
Comment 3 kivi 2014-03-03 13:05:20 UTC
Created attachment 95023 [details]
A small XLS example file with a table plus a comment to show the problem

In addition to my initial screen shot I am attaching a example XLS also.
Comment 4 Joel Madero 2014-03-03 15:41:00 UTC
In the future make sure to read the entire post ;) If I hadn't caught this we would have never looked at it again as it said "mark it as UNCONFIRMED" - QA typically doesn't look at NEEDINFO bugs. Thanks!
Comment 5 Joel Madero 2014-03-07 05:03:44 UTC
Interesting - I open the file and it looks awesome. Please test with 4.2.1 (or if you care to try 4.2.2.1 rc) to see if you still have the issue.

Marking as WFM - if you still see the problem with 4.2 branch please mark as UNCONFIRMED and we'll continue to see what's going on. Thanks!
Comment 6 kivi 2014-03-09 12:22:41 UTC
Unfortunately I checked this bug with Libre Office 4.2.2.1 and it is available!

Testing now I found that if you hower the mouse on the cell with the comment for first time, the comment looks very well.
But if you check the comment again it get difficult to read.
Next all attempts to check the comment it is shown difficult to read.

But if you close the Libre Office and start it again then open the demo file it will start the same story. The first check of the note will be OK and then any following check will be wrong.

Because English is not my best language I made a small video recorded from my desktop. This video shows all what I am explaining here.
Please see the attached file - Comments_difficult_to_read-example_20140309.mpeg
Comment 7 kivi 2014-03-09 12:24:24 UTC
Created attachment 95409 [details]
This video shows all what I am explaining here. Please see the attached file - Comments_difficult_to_read-example_20140309.mpeg

This video shows all what I am explaining here.
Please see the attached file - Comments_difficult_to_read-example_20140309.mpeg
Comment 8 Jean-Baptiste Faure 2014-04-30 18:03:18 UTC
Not reproducible for me with LO 4.1.6 and LO 4.2.5.0.0+ under Linux / Ubuntu 14.04.

Best regards. JBF
Comment 9 Joel Madero 2014-06-21 03:26:27 UTC
This is crazy - I can obviously see the problem in your video (thanks for that by the way) but I cannot reproduce. Tested with 4.2.4.2 release


Please try resetting your profile: https://wiki.documentfoundation.org/UserProfile

If that fails to work I'm going to try to get a developer involved to triage the problem. Thanks for your patience
Comment 10 Joel Madero 2014-10-24 03:49:06 UTC
Marking as NEEDINFO - we need confirmation that with a fresh profile running 4.3. If you can still reproduce set to UNCONFIRMED. Thanks
Comment 11 kivi 2014-10-30 10:25:56 UTC
Today I have downloaded LibreOffice 4.2.7 and also LibreOffice 4.3.3 for 64bit rpm Linux
I have de installed former versions of the software. Then I have deleted the /home/user/.config/libreoffice folder in my openSUSE 13.1 KDE4 Desktop.
Then I have installed LibreOffice 4.2.7 and also LibreOffice 4.3.3.
Then I tested the problem fist in LibreOffice 4.2.7 and after it in LibreOffice 4.3.3.
Unfortunately Calc behaves as reported earlier - by the first hover of the mouse shows correctly the notes but by second or more hover shows the note difficult to read.
All above was done without any adjustments and without installing any plugins in LibreOffice.
Comment 12 Buovjaga 2014-11-27 10:40:34 UTC
The problem doesn't appear for me either.

Win 7 64-bit Version: 4.5.0.0.alpha0+
Build ID: b144f0ac8695dd62a2053b4e88212d0b109c9a41
TinderBox: Win-x86@51-TDF, Branch:MASTER, Time: 2014-11-25_00:14:54

Ubuntu 14.10 64-bit Version: 4.5.0.0.alpha0+
Build ID: 6b219f012edbe069c461f4e0746898e33fa1dd49
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2014-11-25_21:56:46
Comment 13 Joel Madero 2015-03-17 03:07:03 UTC
Moving this back to UNCONFIRMED - let's try to get someone to test with KDE
Comment 14 Matthew Francis 2015-04-26 13:05:28 UTC
*** Bug 84975 has been marked as a duplicate of this bug. ***
Comment 15 Matthew Francis 2015-04-26 13:06:59 UTC
I'm taking bug 84975 as confirmation of this issue. Bug 84975 comment 1 hints that "Switching off desktop effects solves the problem" - this seems to be OpenGL related.

-> NEW
Comment 16 Robinson Tryon (qubit) 2015-12-09 18:27:06 UTC Comment hidden (obsolete)
Comment 17 QA Administrators 2017-01-03 19:41:00 UTC Comment hidden (obsolete)
Comment 18 QA Administrators 2021-08-31 03:55:17 UTC
Dear kivi,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug